# -*- coding: utf-8 -*-
# Moovida - Home multimedia server
# Copyright (C) 2006-2009 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Moovida with Fluendo's plugins.
#
# The GPL part of Moovida is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Moovida" in the root directory of this distribution package
# for details on that license.
#
# Author: Fernando Casanova <fcasanova@fluendo.com>

import urlparse, urllib, os

def get_file_name_from_uri(uri):
    scheme, netloc, path, params, query, fragment = urlparse.urlparse(uri)
    path = urllib.unquote(path)
    base_name = os.path.basename(path)
    name_file, ext = os.path.splitext(base_name)
    return name_file
