<xsl:stylesheet
     xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
     version = "1.0" >
    <!-- Output method XML -->
    <xsl:output method="xml"
      indent="yes"
      omit-xml-declaration="no"
      encoding="utf-8"  />

    <xsl:template match="/">
      <rdf:RDF>
        <xsl:apply-templates />
      </rdf:RDF>
    </xsl:template>

  <xsl:template match="movie">
      <xsl:if test="id">
      <xsl:variable name="id" select='id' />
      <xsl:variable name="imdb_id" select='imdb_id' />
      <xsl:variable name="rating" select='rating' />
      <xsl:variable name="overview" select='overview' />
      <rdf:Description rdf:about="MEDIA_ID">
          <rdfs:imdb_id><xsl:value-of select = "$imdb_id" /></rdfs:imdb_id>
      </rdf:Description>
      <rdf:Description rdf:about="MEDIA_ID">
          <rdfs:rating><xsl:value-of select = "$rating" /></rdfs:rating>
      </rdf:Description>
      <rdf:Description rdf:about="MEDIA_ID">
          <rdfs:synopsis><xsl:value-of select = "$overview" /></rdfs:synopsis>
      </rdf:Description>
      </xsl:if>
  </xsl:template>
</xsl:stylesheet>
