<xsl:stylesheet
     xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
     version = "1.0" >
    <!-- Output method XML -->
    <xsl:output method="xml"
      indent="yes"
      omit-xml-declaration="no"
      encoding="utf-8"  />

    <xsl:template match="/">
      <rdf:RDF>
        <xsl:apply-templates />
      </rdf:RDF>
    </xsl:template>

  <xsl:template match="Series">
      <xsl:if test="id">
      <xsl:variable name="id" select='id' />
      <xsl:variable name="name" select='SeriesName' />
      <xsl:variable name="synopsis" select='Overview' />
      <rdf:Description rdf:about="MEDIA_ID">
          <rdfs:label><xsl:value-of select = "$name" /></rdfs:label>
      </rdf:Description>
      <rdf:Description rdf:about="MEDIA_ID">
          <rdfs:synopsis><xsl:value-of select = "$synopsis" /></rdfs:synopsis>
      </rdf:Description>
      </xsl:if>
  </xsl:template>
</xsl:stylesheet>
