<xsl:stylesheet
     xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
     version = "1.0" >
<xsl:output method="xml" indent="yes" omit-xml-declaration="no" encoding="utf-8" />
<xsl:param name="BASE_URI"/>
<xsl:template match="/">
<SearchResults>
<xsl:for-each select="/Data/Series">
  <xsl:if test="id">
  <xsl:variable name="id" select='id' />
  <xsl:variable name="name" select='SeriesName' />
  <xsl:variable name="synopsis" select='Overview' />
  <xsl:variable name="subject"><xsl:value-of select='$BASE_URI'/>/<xsl:value-of select='$id'/></xsl:variable>
<SearchResult>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
         xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">
  <rdf:Description rdf:about="{$subject}">
      <rdfs:label><xsl:value-of select = "$name" /></rdfs:label>
  </rdf:Description>
  <rdf:Description rdf:about="{$subject}">
      <rdfs:synopsis><xsl:value-of select = "$synopsis" /></rdfs:synopsis>
  </rdf:Description>
</rdf:RDF>
</SearchResult>
  </xsl:if>
</xsl:for-each>
</SearchResults>
</xsl:template>
</xsl:stylesheet>
